Skip to content

Onboard distributor admin ​

POST
/v1/distributors/onboard/admin

Onboard distributor

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

send_link
Type
boolean

Request Body​

application/json
JSON
{
  
"maincontact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"distributor_name": "string",
  
"website": "string",
  
"country_iso2": "string",
  
"administrative_email": "string",
  
"finance": {
  
  
"vat_number": null,
  
  
"member_state": null,
  
  
"contact_person": null,
  
  
"contact_person_firstname": null,
  
  
"contact_person_lastname": null,
  
  
"phone_number": null,
  
  
"administrative_email": null,
  
  
"payment_methods": [
  
  
  
"string"
  
  
],
  
  
"chamber_of_commerce": null,
  
  
"foreign_vat_numbers": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"document_types_accessible": [
  
  
  
"string"
  
  
]
  
},
  
"iso_country": null,
  
"roles": [
  
  
"string"
  
],
  
"distributor_status": "",
  
"distributor_supplier_status": "",
  
"supplier_id": null
}

Responses​

Created

application/json
JSON
{
  
"customerservice": {
  
  
"email": null,
  
  
"url_website": null,
  
  
"phone_number": null,
  
  
"trade_name": null
  
},
  
"maincontact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"financecontact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"address": {
  
  
"country": null,
  
  
"city": null,
  
  
"province": null,
  
  
"number": null,
  
  
"postalcode": null,
  
  
"streetname": null,
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"invoice_address": {
  
  
"country": null,
  
  
"city": null,
  
  
"province": null,
  
  
"number": null,
  
  
"postalcode": null,
  
  
"streetname": null,
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"slug": null,
  
"iso_country": null,
  
"distributor_name": null,
  
"distributor_id": null,
  
"finance": {
  
  
"vat_number": null,
  
  
"member_state": null,
  
  
"contact_person": null,
  
  
"contact_person_firstname": null,
  
  
"contact_person_lastname": null,
  
  
"phone_number": null,
  
  
"administrative_email": null,
  
  
"payment_methods": [
  
  
  
"string"
  
  
],
  
  
"chamber_of_commerce": null,
  
  
"foreign_vat_numbers": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"document_types_accessible": [
  
  
  
"string"
  
  
]
  
},
  
"distributor_status": null,
  
"distributor_supplier_status": null,
  
"see_own_supplier_tickets": null,
  
"roles": [
  
  
"string"
  
],
  
"administrative_email": null,
  
"sandbox_only": null,
  
"created": null,
  
"updated": null,
  
"created_by": null,
  
"updated_by": null,
  
"account_type": null,
  
"fixed_fee": null,
  
"payment_segment": null,
  
"business_segment": null,
  
"thirty_day_limit": null,
  
"sixty_day_limit": null,
  
"ninety_day_limit": null,
  
"total_deferred_limit": null,
  
"total_invoice_limit": null,
  
"supplier_id": null,
  
"sports_enabled": [
  
  
"string"
  
],
  
"sports_disabled": [
  
  
"string"
  
],
  
"grace_period_download_tickets": null,
  
"allowed_currencies": [
  
  
"string"
  
],
  
"preferred_currency": "EUR",
  
"sport_interests": [
  
  
"string"
  
],
  
"corporate_color": null,
  
"narrative_color": null,
  
"font_family": null,
  
"logo_url": null,
  
"payment_condition": null,
  
"ticket_sales_volume": null,
  
"distribution_channel_type": null,
  
"distributor_metadata": {
  
  
"additionalProperties": "string"
  
},
  
"signed_platform_agreement_date": null,
  
"signed_platform_agreement_version": null,
  
"logged_in_last_month": null,
  
"logged_in_last_3_months": null,
  
"activation_link": null
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​